import { Component, OnInit } from '@angular/core';
import {Router} from '@angular/router';
import {TabuMiddlewareService} from '../dao/TabuMiddlewareService';

@Component({
  selector: 'app-select-game',
  templateUrl: './select-game.component.html',
  styleUrls: ['./select-game.component.scss']
})
export class SelectGameComponent implements OnInit {

  buttonsDisabled = true;
  constructor(private router: Router,
              private server: TabuMiddlewareService) { }

  ngOnInit(): void {
  }

  getSpielSessions(): any {
    console.log('Start')
    const response = this.server.getSpielSessions();
    console.log('Response:', response);
  }

  joinGame(): void {
    this.router.navigate(['/overview']);
  }

  keyPressAlphaNumeric(event: KeyboardEvent): boolean {
    if (/[a-zA-Z0-9]/.test(event.key)) {
      return true;
    } else {
      event.preventDefault();
      return false;
    }
  }

  checkSpielname(spielname: string): void {
    console.log(spielname)
    this.buttonsDisabled = spielname.length === 0;
  }
}
